"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_path_1 = __importDefault(require("node:path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
function getComponentsByDir() {
    return async (componentsDir, componentsToRun) => {
        const isOcComponent = (file) => {
            const filePath = node_path_1.default.resolve(componentsDir, file);
            const packagePath = node_path_1.default.join(filePath, 'package.json');
            let content;
            try {
                content = fs_extra_1.default.readJsonSync(packagePath);
            }
            catch (err) {
                return false;
            }
            if (!content.oc) {
                return false;
            }
            const packagedProperty = content.oc?.packaged;
            return typeof packagedProperty === 'undefined';
        };
        try {
            let dirContent = await fs_extra_1.default.readdir(componentsDir);
            if (componentsToRun) {
                dirContent = dirContent.filter((content) => componentsToRun.includes(content));
            }
            const components = dirContent
                .filter(isOcComponent)
                .map((component) => node_path_1.default.resolve(componentsDir, component));
            return components;
        }
        catch (err) {
            return [];
        }
    };
}
exports.default = getComponentsByDir;
