"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_path_1 = __importDefault(require("node:path"));
const module_exists_1 = __importDefault(require("../../../utils/module-exists"));
function getMissingDependencies(dependencies = {}) {
    const missing = [];
    for (const [dependency, version] of Object.entries(dependencies)) {
        const pathToModule = node_path_1.default.resolve('node_modules/', dependency);
        if (!(0, module_exists_1.default)(pathToModule)) {
            missing.push(`${dependency}@${version || 'latest'}`);
        }
    }
    return missing;
}
exports.default = getMissingDependencies;
