/// <reference types="node" />
import type { IncomingHttpHeaders } from 'node:http';
import type { Request, Response } from 'express';
import type { Component, Config } from '../../../types';
import type { GetComponentResult } from './get-component';
type ComponentCallback = (err: {
    registryError: any;
    fallbackError: any;
} | null, data: Component) => void;
export declare function getComponent(fallbackRegistryUrl: string, headers: IncomingHttpHeaders, component: {
    name: string;
    version: string;
    parameters: IncomingHttpHeaders;
}, callback: (result: GetComponentResult) => void): void;
export declare function getComponentPreview(conf: Config, req: Request, res: Response, registryError: string | null, callback: ComponentCallback): void;
export declare function getComponentInfo(conf: Config, req: Request, res: Response, registryError: string | null, callback: ComponentCallback): void;
export {};
